Bug 130832 - After boot, eth0 left in inactive state
After boot, eth0 left in inactive state
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-24 20:10 EDT by Bob Gustafson
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-17 08:53:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/etc/sysconfig/hwconf (8.79 KB, text/plain)
2004-09-06 14:31 EDT, Bob Gustafson
no flags Details
Output from /usr/sbin/kudzu -p done at init 1 (8.07 KB, text/plain)
2004-09-06 15:02 EDT, Bob Gustafson
no flags Details

  None (edit)
Description Bob Gustafson 2004-08-24 20:10:24 EDT
Description of problem:

  After I boot, my network connections are inactive. I need to 

  Gnome->System Settings->Network-><select>eth0->Activate

  before my network is usable.

Version-Release number of selected component (if applicable):

[root@hoho2 ~]# cat /proc/version
Linux version 2.6.8-1.526smp (bhcompile@tweety.build.redhat.com) (gcc
version 3.4.1 20040815 (Red Hat 3.4.1-8)) #1 SMP Sat Aug 21 04:42:17
EDT 2004
[root@hoho2 ~]#

How reproducible:

  Every time since kernel 525

Steps to Reproduce:

1. Boot
2. Log in
3. netstat -rn  (shows no data lines, only heads)
  
Actual results:

  As above

Expected results:

  Should come up with network active

Additional info:

  During the boot sequence, ntpd comes up and (according to boot
console messages) calls out and synchronizes the time (!!)

The file /etc/sysconfig/networking/devices/ifcfg-eth0, shows the
parameter ONBOOT=yes

I have another ethernet device eth1, but that is purposely not active.
Comment 1 Bob Gustafson 2004-08-27 23:33:58 EDT
Just now trying to update - long process, many changes.

But, near the end of the 'hal...' update, the yum process hung.

I checked the network 'netstat -rn' and there were no lines.

Went into Gnome->Settings..->Network-><select>eth0->activate

And now I am continuing to yum update
Comment 2 Bob Gustafson 2004-08-27 23:36:20 EDT
Whoops, it got through the 'hal.. update, but hung on

initscripts
Comment 3 Bob Gustafson 2004-08-27 23:46:03 EDT
Hmm

It got through initscripts OK, no hang.

However, this is the 2nd time through initscripts. Somehome yum is
either not registering it, or it is a newer version.

Ghosts maybe
Comment 4 Bob Gustafson 2004-08-29 16:44:36 EDT
Works for me now.
Comment 5 Bob Gustafson 2004-08-30 13:35:52 EDT
I must have been dreaming.

Still the same problem. Need to manually bring up eth0 after boot.
Comment 6 Bob Gustafson 2004-09-03 02:00:51 EDT
With Kernel 538smp and 541smp, Kudzu comes up and says that my
ethernet card was removed, do I want to remove the configuration.

Since I hadn't removed the card (it is part of the motherboard), I
clicked on 'Keep configuration'. Kudzu came back with another screen -
almost the same language - I clicked on 'Keep configuration' again.

Kudzu went away and the boot resumed.

It still came up with eth0 inactive after boot.

  /etc/sysconfig/network-scripts/ifup eth0

did the trick again after login and su
Comment 7 Bill Nottingham 2004-09-03 10:54:52 EDT
Can you attach the output of 'kudzu -p' from single-user-mode, and
/etc/sysconfig/hwconf?
Comment 8 Bill Nottingham 2004-09-03 10:55:42 EDT
Also, what version of kudzu?
Comment 9 Bob Gustafson 2004-09-06 14:28:47 EDT
[root@hoho2 ~]# date
Mon Sep  6 13:08:33 CDT 2004

[root@hoho2 ~]# rpm -q kudzu
kudzu-1.1.85-1

[root@hoho2 ~]# /sbin/kudzu -p
bash: /sbin/kudzu: No such file or directory

[root@hoho2 ~]# which kudzu
/usr/bin/which: no kudzu in
(/usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/bin:/bin:/usr/bin:/usr/X11R6/bin:/home/user1/bin)

[root@hoho2 init.d]# pwd
/etc/init.d
[root@hoho2 init.d]# ./kudzu -p
Usage: ./kudzu {start|stop}
[root@hoho2 init.d]# ps ax | grep kud
  911 pts/1    S+     0:00 grep kud
[root@hoho2 init.d]#
[root@hoho2 ~]#

I went to init 1 and did /etc/init.d/kudzu -p start and did not get much.

Doint /etc/init.d/kudzu start Checking for new hardware              
                   [  OK  ]

When I went back up to 'init 3' my network was down again.

I brought the network back up and then attached /etc/sysconfig/hwconf
below.


Will be going on vacation (unplugged) early Tues and will be back late
on 16th
Comment 10 Bob Gustafson 2004-09-06 14:31:15 EDT
Created attachment 103513 [details]
/etc/sysconfig/hwconf

As requested above
Comment 11 Bob Gustafson 2004-09-06 15:02:53 EDT
Created attachment 103514 [details]
Output from /usr/sbin/kudzu -p done at init 1

OK, found the bugger

Went to init 1, then

/usr/sbin/kudzu -p > kud.out

Then back to init 3, did /etc/sysconfig/network-scripts/ifup eth0

Then did this Comment/attachment
Comment 12 Bill Nottingham 2004-09-06 16:49:34 EDT
Just remove all the entries with 'detached: 1' from
/etc/sysconfig/hwconf; things should behave better then.
Comment 13 Bob Gustafson 2004-09-06 22:14:07 EDT
Nope

I edited out all of the entries that had a 'detached: 1' as one of
their attributes and rebooted.

In the console messages, it seemed like even eth2 was being brought up
(I don't have an eth2). ntpd kicked in and a hole was made in iptables
to accommodate. It seemed from the console messages that time was
successfully synchronized.

However, after the boot was over and I logged in, 'netstat -rn' showed
only headers, no data lines.

Doing /etc/sysconfig/network-scripts/ifup eth0 brought up the network.

Doing /sbin/ifconfig before the network-scripts step above, showed
that the eth0 and eth1 (and lo) interfaces were 'UP', but there were
no ip addresses or masks as part of that output.

After doing the network-scripts step, and then doing /sbin/ifconfig
showed ip address and mask for the eth0 device.

--- another side effect ---

cupsd comes up during the boot sequence, but since the printer is a
networked printer, cups does not connect to the printer when I log in,
and even after I do the network-scripts step.  I need to
/etc/init.d/cups stop and then start to refresh the cups daemon.
(perhaps could HUP it).

I am gone till the 17th. Good luck.
Comment 14 Bob Gustafson 2004-09-17 08:53:11 EDT
I have updated and booted serveral times over the last 14 hours and
the problem seems to have gone away.

Works for me

Note You need to log in before you can comment on or make changes to this bug.